Create Api Filter

Create Api Filter
Create an API filter.

Create an API filter.

Request
URI
POST
https://{api_host}/cloudapi/1.0.0/apiFilters
COPY
Request Body
ApiFilter of type(s) application/json
Optional

Show optional properties

{
    "externalSystem": {}
}
{
    "id": "urn:vcloud:apiFilter:xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
    "externalSystem": {
        "name": "string",
        "id": "string"
    },
    "urlMatcher": {
        "urlPattern": "string",
        "urlScope": "string"
    },
    "responseContentType": "string"
}
Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns ApiFilter of type(s) application/json;version=9.1.0
{
    "id": "urn:vcloud:apiFilter:xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
    "externalSystem": {
        "name": "string",
        "id": "string"
    },
    "urlMatcher": {
        "urlPattern": "string",
        "urlScope": "string"
    },
    "responseContentType": "string"
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"externalSystem":"object"}' https://{api_host}/cloudapi/1.0.0/apiFilters